Package org.italiangrid.voms.credential

# Interface ProxyNamingPolicy

All Known Implementing Classes:
  `DefaultProxyPathBuilder`

public interface ProxyNamingPolicy
A `ProxyNamingPolicy` defines the naming policy for a VOMS proxy.

Author:
  andreaceccanti

## Method Summary

Modifier and Type
Method
Description
`String`
`buildProxyFileName(String tmpPath, int userId)`
Builds the file name of a VOMS proxy

## Method Details

### buildProxyFileName

String buildProxyFileName(String tmpPath, int userId)
Builds the file name of a VOMS proxy

Parameters:
  `tmpPath` - the path of the temporary directory of the system
  `userId` - the effective user id the user for which the proxy is created
Returns:
  a `String` representing the proxy file name